import React from 'react';
import ReactDOM from 'react-dom';
import { Icon, Tabs } from 'antd';
import '../../css/base.less';
import '../../css/login.less';

import LoginFrom from '../component/login/loginFrom.jsx';
import loginqq from '../../image/login_qq.png';
import loginweixin from '../../image/login_weixin.png';
import loginweibo from '../../image/login_weibo.png';

const TabPane = Tabs.TabPane;

ReactDOM.render(
    <div className="wrap">
        <div className="header">
            <div className="login-logo">
                <div className="logo">
                    <img src="" alt="" />
                </div>
                <div className="logo-text">
                    <span>logo-text</span>
                </div>
            </div>
            <p className="back"><a href="./index.html"><Icon type="left" />返回首页</a></p>
            <p className="text">卓越的能力应用与技术交易平台</p>
        </div>
        <div className="content clearfix">
            <div className="login-left">
                <img src="" alt="" />
            </div>
            <div className="login-right">
                <Tabs defaultActiveKey="1" className="login-from">
                    <TabPane tab="个人登录" key="1">
                        <LoginFrom />
                    </TabPane>
                    <TabPane tab="公司登录" key="2">
                        <LoginFrom />
                    </TabPane>
                </Tabs>
                <div className="login-other">
                    <ul className="clearfix">
                        <li><img src={loginqq} alt="" /><p>QQ登录</p></li>
                        <li><img src={loginweixin} alt="" /><p>微信登录</p></li>
                        <li><img src={loginweibo} alt="" /><p>微博登录</p></li>
                    </ul>
                </div>
            </div>
        </div>
        <div className="footer">
            <p>Copyright © 2016-2017 阿凡提 版权所有   技术支持：湖南智明科技有限公司</p>
        </div>
    </div>,
    document.getElementById('root')
)